package jp.hasc.hasctool.core.runtime.filter;


/**
 * ベクトルの各要素に、スカラ値を乗算するフィルタです
 * @author iwasaki
 */
public class ScalarMultiplier extends AbstractScalarFilter {
	private double scale_=1;
	
	@Override
	public double filterScalarValue(double scalarValue) {
		return scale_*scalarValue;
	}

	public double getScale() {
		return scale_;
	}

	public void setScale(double scale) {
		scale_ = scale;
	}

}
